textures/base_light/light1red_100
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	light 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light1red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//textures/base_trim/wires02
//{
//	cull disable
//	nopicmip
//	surfaceparm alphashadow
//	surfaceparm trans	
//	{
//	map textures/base_trim/wires02.tga
//	alphaFunc GE128
//	depthWrite
//	rgbGen vertex
//	}
//	{
//	map $lightmap
//	rgbGen identity
//	blendFunc filter
//	depthFunc equal
//	}
//}

textures/custom/comp_xp
{
	qer_editorimage textures/custom/comp_xp.tga
	q3map_lightimage textures/base_wall/comp3env.tga
	q3map_surfacelight 150
	nopicmip
	
	{
		animMap 3 textures/xp_misc/e+.tga
		rgbGen wave square 0 1 0 .75
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		rgbGen wave sin .25 0 0 0
		blendfunc add
	}
	{
		map textures/custom/comp_xp.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	} 		
}

textures/custom/firePillar2
{
	deformVertexes autoSprite2
    deformVertexes move 0.2 0 .3  sin 0 3 0 10
    deformVertexes move 0 0.2 0  sin 0 1 0 3
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 50

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
}

textures/custom/firePillar3
{
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 50

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/decals/alphabet4blk_d
{
        qer_editorimage textures/decals/alphabet4blk_d.tga
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nonsolid
        surfaceparm trans
        qer_trans 0.5
        nopicmip
        {
                map textures/decals/alphabet4blk_d.tga
                blendfunc filter
        }
}

textures/liquids/water_flow
{
	qer_editorimage textures/liquids/water_flow.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	nopicmip
	{	
		map textures/liquids/water_flow.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}
}

textures/monsters/pinky
{
//Shader by EB
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		animMap 8 textures/monsters/pinky/SARGA1b.tga textures/monsters/pinky/SARGB1b.tga textures/monsters/pinky/SARGC1b.tga textures/monsters/pinky/SARGD1b.tga textures/monsters/pinky/SARGE1b.tga textures/monsters/pinky/SARGF1b.tga textures/monsters/pinky/SARGG1b.tga textures/monsters/pinky/SARGH1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/server/server_default
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
                map textures/server/server_default.tga
                blendFunc add
	}
}

//textures/sfx/fan
//{
//	surfaceparm trans	
//	surfaceparm nomarks
//	surfaceparm	nonsolid
//	cull none
//	nopicmip
//	{
//		clampmap textures/sfx/fan.tga
//		tcMod rotate 256 
//		blendFunc GL_ONE GL_ZERO
//		alphaFunc GE128
//		depthWrite
//		rgbGen identity
//	}
//	{
//		map $lightmap
//		rgbGen identity
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//	}
//}
//
//textures/sfx/fanfx
//{
//	qer_editorimage textures/sfx/fanfx.tga
//	surfaceparm nolightmap
//	surfaceparm trans
//	surfaceparm nonsolid
//	surfaceparm nomarks	
//	cull none
//	nopicmip
//
//	{
//	clampmap textures/sfx/fanfx.tga
//	tcMod rotate 256 
//	blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
//	rgbGen exactVertex
//	depthWrite
//	}
//}

textures/sfx/termfish
{
	cull disable
	nopicmip
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks	

	{
	map textures/sfx/termfish.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	}
	{
	map $lightmap
	blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}